<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
    <div class="row">
      <div class="col-sm-8 col-xs-7">
        <h4 class="page-title">Price Scope <span class="configuration_text">Configuration</span> List</h4>
      </div>
      <div class="col-sm-4 col-xs-5 text-right">
        <!-- <a href="#" class="btn btn-primary btn-sm Add_button_custom" data-toggle="modal" data-target="#Add_Category"><i class="fa fa-plus"></i> Add Metadata</a> -->
        <a class="btn btn-primary btn-sm Add_button_custom" style="color: #fff;" (click)="onEditPriceScope(0,0)"><i
            class="fa fa-plus"></i> Price Scope</a>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12">
        <div class="card-box">

          <div class="row">
            <div class="col-md-12">
              <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                <div class="panel panel-default">
                  <div class="panel-heading" role="tab" id="headingOne" role="button" data-toggle="collapse"
                    data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                    <h4 class="panel-title">
                      <a>
                        <i class="more-less fa fa-plus"></i>
                        <span class="searchbar_text_padding_left"> Search
                        </span>
                      </a>
                    </h4>
                  </div>
                  <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
                    <div class="panel-body">
                      <div class="row">

                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Category</label>
                            <!-- <select class="form-control">
                                                          <option>Select from list</option>
                                                          <option>a</option>
                                                          <option>b</option>
                                                          <option>c</option>
                                                          <option>d</option>
                                                      </select> -->
                            <select class="form-control" [(ngModel)]="getCategory.id"
                              (change)="getSubcategory_forSearch(getCategory.id)">
                              <option value="0">Select From List</option>
                              <option *ngFor="let option of categoryList" value={{option.id}}>
                                {{option.category_name}}
                              </option>
                            </select>
                          </div>
                        </div>
                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Sub-Category</label>
                            <select class="form-control" [(ngModel)]="getsubCategory.id">
                              <option value="0">Select from list</option>
                              <option *ngFor="let option of subcategoryList" value={{option.id}}>
                                {{option.sub_category_name}}
                              </option>
                            </select>
                          </div>
                        </div>
                        <div class="col-md-2 col_custom_padding">
                          <div class="">
                            <label class="search_label" style="width: 100%;">&nbsp;</label>
                            <button class="btn btn-primary search_btn_width" (click)="onSearchBtn()"><i
                                class="fa fa-search"></i> Search</button>
                          </div>
                        </div>
                        <!-- <div class="col-md-1 search_padding">
                                                <div class="">
                                                    <label class="search_label">&nbsp;</label>
                                                    <button class="btn btn-primary clear_all_btn" style="position: relative;top: 22px;left: -71px;"
                                                        (click)="onClearAllClick()">Clear All</button>
                                                </div>
                                            </div> -->
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- <div class="custom_Search_panel">
                      <div class="row">
                          <div class="col-md-6">
                              <div class="search-box">
                          <i class="glyphicon glyphicon-search"></i>
                          <input type="text" id="myInput" class="form-control" placeholder="Search Here...">
                      </div>
                          </div>
                          <div class="col-md-6 text-right">
                              <div class="show_entries">
                                  <span class="show_text">Show</span>
                                  <select class="form-control">
                                      <option>10</option>
                                      <option>20</option>
                                      <option>30</option>
                                  </select> <span class="entries_text">entries</span>
                              </div>
                          </div>
                      </div>
                  </div> -->
          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <!--KENDO GRID START-->

                <kendo-grid [data]="priceScope_gridData" height="auto" [pageSize]="pageSize" [sort]="sort"
                  [skip]="state.skip" (sortChange)="sortPrice_scopeChange($event)" [filter]="state.filter"
                  [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
                  (dataStateChange)="priceScope_StateChange($event)" (pageChange)="pageChange($event)">


                  <kendo-grid-column field="category" title="CATEGORY"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}" [style]="{'width':'140px','text-align':'left'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding noPadding_xs">
                          <div>
                            <!-- {{index.created_date|date:'dd MMM yyyy'}} -->
                            {{index.category.category_name}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="subCategory" title="SUB CATEGORY"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}" [style]="{'width':'140px','text-align':'left'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding noPadding_xs">
                          <div>
                            {{index.sub_category_name}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="price_scope_name" title="PRICE SCOPE NAME"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'250px'}" [style]="{'width':'250px','text-align':'left'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding noPadding_xs">
                          <div>
                            {{index.new_price_scope_name}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="last_updated_Date" title="LAST UPDATED DATE"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'120px'}" [style]="{'width':'120px','text-align':'center'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding noPadding_xs">
                          <div>
                            {{index.modified_date|date:'dd MMM yyyy'}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="action" title="ACTION"
                    [headerStyle]="{'height':'40px','text-align':'right','width':'100px'}" [style]="{'width':'100px','text-align':'right'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding noPadding_xs">
                          <div>
                            <a title="Edit" (click)="onEditPriceScope(index.id,index.category?.id)"><i
                                class="fa fa-pencil edit_icon"></i></a>
                            <a title="Delete" data-toggle="modal" data-target="#delete_record"><i
                                class="fa fa-trash delete_icon" (click)="onDelete_priceScope(index.id)"></i></a>
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                </kendo-grid>
                <!--KENDO GRID-->
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>